@echo off
rem ############################################################################
rem # sample.cmd                                               Rags Int., Inc. #
rem #               sample syntax for cmfreport listings                       #
rem #                                                                          #
rem #  Rags Int., Inc.                                          December 1999  #
rem #  (c) RISC Application Growth Solutions International, Incorporated  1999 #
rem #              (817) 267-2554       rags@compuserve.com                    #
rem #                                                                          #
rem ############################################################################
set SCRIPT=samplent.cmd
set CMFFILE=ragsnt.dat

echo [%SCRIPT%]: Processing File %CMFFILE%
rem #-----------------------------------------------------------------------#
echo [%SCRIPT%]: Test Case 1 - Default Options
./cmfreport -t "Test Case 1 - Default Options" -f %CMFFILE% > %CMFFILE%.fmt1
rem #-----------------------------------------------------------------------#
echo [%SCRIPT%]: Test Case 2 - Exclude CICS Transactions
./cmfreport -w 132 -s TranId,TranType,StartTime,ElapsedTime -s SYNCPOINT,FILE_ADD,CICStime,CICS_CPU,UserCPU,KernelCPU -e TranId=C -t "Test Case 2 - Exclude CICS Transactions" -f %CMFFILE% > %CMFFILE%.fmt2
rem #-----------------------------------------------------------------------#
echo [%SCRIPT%]: Test Case 3 - Include User CICSUSER
./cmfreport -w 132 -s TranId,TranType,StartTime,ElapsedTime -s TD_IO_Time,TS_IO_Time,FILE_Time,FILE_Total,LoadTime -s CtxSwVol,CtxSwInv -i UserId=CICSUSER -t "Test Case 3 - Include User SYSAD" -f %CMFFILE% > %CMFFILE%.fmt3
rem #-----------------------------------------------------------------------#
echo [%SCRIPT%]: Test Case 4 - Major UserId / Minor PROGNAME
./cmfreport -s PROGNAME,UserId,ElapsedTime -s SYNCPOINT,BMS_MAP,UserCPU,CICStime -a UserId,PROGNAME -t "Test Case 4 - Major UserId / Minor PROGNAME" -c -f %CMFFILE% > %CMFFILE%.fmt4;
rem #----------------------------------------------------------------------#
