/******************************************************************************/
/* user_emp.h          Defines for CICS CMF User EMP Data Collection          */
/*                                                                            */
/* Rags Int., Inc.                                              December 1999 */
/* (c) RISC Application Growth Solutions International, Incorporated  1999    */
/*             (817) 267-2554       rags@compuserve.com                       */
/*                                                                            */
/******************************************************************************/
             /*---------------------------*/
             /* ENTER MONITOR TRACEID()   */
             /*---------------------------*/
#define WRITE_EMP   1                               /* write a monitor record */
#define CLOCK_1     2                                   /* start/stop clock 1 */
#define COUNTER_1   3                         /* add DATA1 to counter 1 value */
#define COUNTER_2   4                       /* set counter 2 value from DATA2 */
#define COUNTER_3   5                                   /* add 1 to counter 3 */
#define DISABLE_EMP 6                    /* disable all monitoring for a task */
#define CLOCK_2     7                 /* start clock 2 & write monitor record */
#define FREE_EMP    8                             /* disable emp user program */

             /*---------------------------*/
             /* ENTER MONITOR ENTRYNAME() */
             /*---------------------------*/
#define EMPSTART    "START   "                                 /* start clock */
#define EMPSTOP     "STOP    "                                  /* stop clock */

             /*---------------------------*/
             /* ENTER MONITOR FROM()      */
             /*---------------------------*/
typedef struct FromData_t {
     int    cmfData1;                                /* DATA1 is high 32 bits */
     int    cmfData2;                                /* DATA2 is low  32 bits */
};

